> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledgerbeam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Resource

> Retrieve a specific resource by ID

## Overview

Retrieve a specific resource by its ID. This endpoint allows you to get detailed information about a resource including its configuration and status.


## OpenAPI

````yaml GET /resources/{id}
openapi: 3.1.0
info:
  title: Ledgerbeam API
  description: >-
    Conversational analytics API for querying data using natural language,
    managing resources, and interacting with data sources
  version: 1.0.0
  contact:
    name: Ledgerbeam Support
    email: support@ledgerbeam.com
  license:
    name: MIT
servers:
  - url: https://api.ledgerbeam.com/v1
    description: Production server
security:
  - apiKeyAuth: []
paths:
  /resources/{id}:
    get:
      summary: Get resource
      description: Retrieve a specific resource by ID
      operationId: getResource
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Resource ID
      responses:
        '200':
          description: Resource retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Resource'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Resource:
      type: object
      properties:
        id:
          type: string
          description: Resource ID
          example: res_123456789
        name:
          type: string
          description: Resource name
          example: My Database
        description:
          type: string
          description: Resource description
          example: Production database connection
        type:
          type: string
          description: Resource type
          example: postgresql
        status:
          type: string
          enum:
            - active
            - inactive
            - error
          description: Resource status
          example: active
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
          example: '2024-01-15T10:30:00Z'
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
          example: '2024-01-15T10:35:00Z'
    Error:
      type: object
      properties:
        error:
          oneOf:
            - type: string
            - type: object
              properties:
                description:
                  type: array
                  items:
                    type: string
          description: Error message or validation errors
          example: Unauthorized access
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: API-KEY
      description: API key for authentication

````